# std::array<T,N>::max_size

From cppreference.com
< cpp‎ | container‎ | array

constexpr size_type max_size() noexcept; |  | (since C++11) (until C++14)
constexpr size_type max_size() const noexcept; |  | (since C++14)

Returns the maximum number of elements the container is able to hold due to system or library implementation limitations, i.e. std::distance(begin(), end()) for the largest container.

### Parameters

(none)

### Return value

Maximum number of elements.

### Complexity

Constant.

### Notes

Because each `std::array<T, N>` is a fixed-size container, the value returned by `max_size` equals `N` (which is also the value returned by size)

### Example

Run this code

    #include <iostream>
    #include <array>

    int main()
    {
        std::array<char, 10> s;
        std::cout << "Maximum size of a 'array' is " << s.max_size() << "\n";
    }

Possible output:

    Maximum size of a 'array' is 10

### See also

size | returns the number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/array/max_size&oldid=50440"